App::Sqitch::Plan::LineList(3pm)

Name
App::Sqitch::Plan::LineList - Sqitch deployment plan line list

Synopsis
  my $list = App::Sqitch::Plan::LineList->new(@lines);

  my @lines = $list->items;
  my $index = $list->index_of($line);

  $lines->append($another_line);

Description
This module is used internally by App::Sqitch::Plan to manage plan file lines. It's modeled on Array::AsHash, but is much simpler and hews closer to the API of App::Sqitch::Plan::ChangeList.

Interface

  Constructors
"new"

  my $plan = App::Sqitch::Plan::LineList->new(map { $_->name => @_ } @changes );

Instantiates and returns a App::Sqitch::Plan::LineList object. The parameters should be a key/value list of lines. Keys may be duplicated, as long as a tag appears between each instance of a key.

  Instance Methods
"count"

"items"

"item_at"

"index_of"

"append"

"insert_at"

See Also

App::Sqitch::Plan
    The Sqitch plan.

Author
David E. Wheeler <david@justatheory.com>

License
Copyright (c) 2012-2026 David E. Wheeler, 2012-2021 iovation Inc.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.